- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaeGeometryInput Namespace Reference

Contains the geometry source data types and their conversion functions. More...

## Typedefs
typedef fm::vector< Semantic > | SemanticList
| A dynamically-sized array of geometry source data types.
## Enumerations
enum | Semantic { POSITION = 0, VERTEX, NORMAL, GEOTANGENT, GEOBINORMAL, TEXCOORD, TEXTANGENT, TEXBINORMAL, UV, COLOR, EXTRA, POINT_SIZE, POINT_ROTATION, UNKNOWN = -1 }
| The geometry source data types. More...
## Functions
FCOLLADA_EXPORT Semantic | FromString (const char *value)
| Converts the COLLADA geometry input string to a geometry source data type.
FCOLLADA_EXPORT const char * | ToString (Semantic semantic)
| Converts the geometry source data type into a COLLADA geometry input string.
Semantic | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.

## Detailed Description

Contains the geometry source data types and their conversion functions.

## Enumeration Type Documentation

enum FUDaeGeometryInput::Semantic

  | The geometry source data types. Enumerator:
  POSITION | Used for position data.
  VERTEX | Used to input the vertex sources within a polygon set.
  NORMAL | Used for surface normal vectors.
  GEOTANGENT | Used for surface tangent vectors.
  GEOBINORMAL | Used for surface binormal vectors.
  TEXCOORD | Used for texture coordinates.
  TEXTANGENT | Used for texture-aligned surface tangent vectors.
  TEXBINORMAL | Used for texture-aligned surface binormal vectors.
  UV | Used for generic mapping parameters. Do not confuse this with TEXCOORD.
  COLOR | Used for vertex colors.
  EXTRA | Used for application-specific vertex data. This is Maya-specific to support blind data.
  POINT_SIZE | Used to define the size of the Billboard generated by a given point. This is a type::POINTS specific type. If the size is 0, a single pixel pt is rendered.
  POINT_ROTATION | Used to give a billboard orientation. This is a type::POINTS specific type, and is not compulsory
  UNKNOWN | An unknown data source.

## Function Documentation

Semantic FUDaeGeometryInput::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT Semantic FUDaeGeometryInput::FromString | ( | const char * | value | ) |

  | Converts the COLLADA geometry input string to a geometry source data type. Parameters:
  | value | The COLLADA geometry input string.
Returns: The geometry source data type.

FCOLLADA_EXPORT const char* FUDaeGeometryInput::ToString | ( | Semantic | semantic | ) |

  | Converts the geometry source data type into a COLLADA geometry input string. Parameters:
  | semantic | The geometry source data type.
Returns: The COLLADA geometry input string.